Bug 51705 - balsa hangs when clicking on HTML links
balsa hangs when clicking on HTML links
Product: Red Hat Public Beta
Classification: Retired
Component: balsa (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2001-08-14 00:37 EDT by Bill Nottingham
Modified: 2014-03-16 22:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-14 00:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2001-08-14 00:37:27 EDT
Open a mail message with a URL. Click on it. balsa hangs.
Comment 1 Bill Nottingham 2001-08-14 01:21:23 EDT
disabling pthreads supports appears to 'fix' it. deadlock somewhere?

In any case, fixed in 1.1.7-3.
Comment 2 Pawel Salek 2001-08-20 11:15:58 EDT
This is most likely bug in gnome_execute_shell() function. See
http://mail.gnome.org/archives/balsa-list/2001-August/msg00406.html and the rest
of the thread for more details. I have not been able to reproduce it, though.
Comment 3 Bill Nottingham 2001-08-20 14:07:43 EDT
very likely. running without the thread support seems to be the safe answer for
now, though.
Comment 4 Pawel Salek 2001-08-25 07:53:45 EDT
This has been most likely resolved (we look for further confirmation from other
people, though). See
for more details. The problem is also registerd in 


Basically, gthread has an undocumented "feature": it relies on certain library
linking order. We believe we have the fix for it in CVS and if it turns out to
be the correct one, balsa-1.2.pre3 will be released pretty soon (this is not
meant to influence your decision, it has only informative character).

Note You need to log in before you can comment on or make changes to this bug.